<!--CREATE CATEGORY FORM-->
<form name="categoryForm" novalidate ng-submit="vm.create(categoryForm.$valid, item)">
    <div class="modal-header">
        <h3>Create new Category</h3>
    </div>
    <div class="modal-body col-sm-12">
        <!--Image-->
        <div class="form-group col-sm-4">
            <!--dropzone-->
            <div ngf-drop ngf-select ng-model="image" class="img-drop-box" name="image"
                 ratio="'1'"
                 ngf-drag-over-class="'dragover'"
                 ngf-model-invalid="errorFile"
                 ngf-multiple="false"
                 ngf-allow-dir="false"
                 accept="image/*"
                 ngf-pattern="'image/*'"
                 required>

                <span ng-if="!image">Category image</span>

                <!--preview-->
                <div class="img-preview" ng-if="image || item.image"
                ngf-src="image || item.image"
                ngf-background="image || item.image"
                ngf-resize="{width: 150, height: 150, quality: 0.9}"
                ngf-no-object-url="false"></div>
                <!--/preview-->
            </div>

            <!--progress-->
            <span ng-if="inProgress">Uploading in progress...</span>

            <!--errors-->
            <ng-messages for="categoryForm.image.$error" role="alert">
                <ng-message ng-if="submitted" when="required">Image is required!</ng-message>
                <ng-message ng-if="submitted" when="minSize">Image size must be greater than 10 kb</ng-message>
                <ng-message ng-if="submitted" when="maxSize">Image size must be less than 2 Mb</ng-message>
                <ng-message ng-if="submitted" when="pattern">Incorrect file type. Only images accepted!</ng-message>
                <ng-message ng-if="submitted" when="ratio">Incorrect aspect ratio.</ng-message>
                <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
            </ng-messages>
            <!--/errors-->
        </div>
        <!--/Image-->

        <!-- Title -->
        <div class="form-group col-sm-8">
            <label>Category name</label>
            <input type="text" name="title" class="form-control" placeholder="Enter category name"
                   ng-model="item.title"
                   required>
            <ng-messages for="categoryForm.title.$error" role="alert">
                <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
            </ng-messages>
        </div>
        <!--/Title-->
    </div>

    <div class="modal-footer">
        <button ng-disabled="inProgress" class="btn btn-primary" type="submit">Add</button>
        <button ng-disabled="inProgress" class="btn btn-warning" type="button" ng-click="cancel()">Cancel</button>
    </div>
</form>
<!--/CREATE CATEGORY FORM-->

<!--error messages template-->
<script type="text/ng-template" id="error-messages">
    <div ng-message="required">This field is required!</div>
    <div ng-message="minlength">This field is too short!</div>
</script>